Subject: Bug#1450: Fwd: Arrow keys randomly stop working in x2go

From: "stivstivsti ." <[email-masked]>
Date: Mon, 30 Mar 2020 19:45:59 +0700

Package: x2goclient
Version: 4.1.2.2

I am connecting from Ubuntu Linux 18 to another Ubuntu linux machine with
x2go. Connection works, but some keys don't, especially arrow keys. When I
press up arrow, it starts screen capture:

I tried some recipes from this question:
https://serverfault.com/questions/582552/x2go-arrow-key-is-not-working-properly
but
they don't help. *setxkbmap us -print | xkbcomp - $DISPLAY* -- doesn't fix
the problem. I tried to play with keyboard settings here:

but it doesn't help also. How can I fix it?

I've followed instruction from wiki.x2go.org updating x2goclient to
4.1.2.2-0~1913~ubuntu18.04.1 and x2goserver to
4.1.0.3-0~1708~ubuntu18.04.1. The problem is still there.